# https://docs.cloud.oracle.com/en-us/iaas/Content/ContEng/Tasks/contengcreatingloadbalancer.htm
# ------------
apiVersion: v1
kind: Service
metadata:
  name: ol7nagios-service-lb
  labels:
    app: ol7nagios
  annotations:
    # your oci subnet, internal one
    service.beta.kubernetes.io/oci-load-balancer-internal: "true"
    service.beta.kubernetes.io/oci-load-balancer-subnet1: "ocid-for-your-internal-subnet" 
spec:
  type: LoadBalancer
  ports:
  - port: 80
  selector:
    app: ol7nagios
